/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.tools.timetable;

import javafx.beans.property.SimpleBooleanProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

public class SepProperty {

	private StringProperty target = new SimpleStringProperty();
	private StringProperty endTime = new SimpleStringProperty();
	private StringProperty deltaTimeMinL = new SimpleStringProperty();
	private StringProperty deltaTimeMaxL = new SimpleStringProperty();
	private StringProperty deltaLong = new SimpleStringProperty();
	private StringProperty spiralLength = new SimpleStringProperty();
	private StringProperty spread = new SimpleStringProperty();
	private StringProperty longSource = new SimpleStringProperty();
	private StringProperty particle = new SimpleStringProperty();
	private StringProperty energy = new SimpleStringProperty();
	private SimpleBooleanProperty isInsideSpiral = new SimpleBooleanProperty();

	public SepProperty(String name) {
		target.set(name);
	}

	public String getTarget() {
		return target.get();
	}

	public void setTarget(String target) {
		this.target.set(target);
	}

	public String getDeltaLong() {
		return deltaLong.get();
	}

	public void setDeltaLong(String deltaLong) {
		this.deltaLong.set(deltaLong);
	}

	public boolean getIsInsideSpiral() {
		return isInsideSpiral.get();
	}

	public void setIsInsideSpiral(boolean isInsideSpiral) {
		this.isInsideSpiral.set(isInsideSpiral);
	}

	public String getEndTime() {
		return endTime.get();
	}

	public void setEndTime(String endTime) {
		this.endTime.set(endTime);
	}

	public String getDeltaTimeMinL() {
		return deltaTimeMinL.get();
	}

	public void setDeltaTimeMinL(String deltaTimeMinL) {
		this.deltaTimeMinL.set(deltaTimeMinL);
	}

	public String getDeltaTimeMaxL() {
		return deltaTimeMaxL.get();
	}

	public void setDeltaTimeMaxL(String deltaTimeMaxL) {
		this.deltaTimeMaxL.set(deltaTimeMaxL);
	}

	public String getParticle() {
		return particle.get();
	}

	public void setParticle(String particle) {
		this.particle.set(particle);
	}

	public String getEnergy() {
		return energy.get();
	}

	public void setEnergy(String energy) {
		this.energy.set(energy);
	}

	public String getSpiralLength() {
		return spiralLength.get();
	}

	public void setSpiralLength(String spiralLength) {
		this.spiralLength.set(spiralLength);
	}

	public String getSpread() {
		return spread.get();
	}

	public void setSpread(String spread) {
		this.spread.set(spread);
	}

	public String getLongSource() {
		return longSource.get();
	}

	public void setLongSource(String longSource) {
		this.longSource.set(longSource);
	}

}
